Eclipse Platform Release 3.7

## org.eclipse.jface.text.contentassist
Interface IContextInformation

All Known Implementing Classes:
  ContextInformation

    public interface IContextInformation

The interface of context information presented to the user and generated by content assist processors.

In order to provide backward compatibility for clients of `IContextInformation`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `IContextInformationExtension` since version 2.0 introducing the ability to freely position the context information.

The interface can be implemented by clients. By default, clients use `ContextInformation` as the standard implementer of this interface.

See Also:
  `IContentAssistProcessor`

Method Summary
`boolean` `equals(Object object)` Compares the given object with this receiver.
`String` `getContextDisplayString()` Returns the string to be displayed in the list of contexts.
`Image` `getImage()` Returns the image for this context information.
`String` `getInformationDisplayString()` Returns the string to be displayed in the tool tip like information popup.

Method Detail

### getContextDisplayString

    String getContextDisplayString()

  Returns the string to be displayed in the list of contexts. This method is used to supply a unique presentation for situations where the context is ambiguous. These strings are used to allow the user to select the specific context.

  Returns:
    the string to be displayed for the context

### getImage

    Image getImage()

  Returns the image for this context information. The image will be shown to the left of the display string.

  Returns:
    the image to be shown or `null` if no image is desired

### getInformationDisplayString

    String getInformationDisplayString()

  Returns the string to be displayed in the tool tip like information popup.

  Returns:
    the string to be displayed

### equals

    boolean equals(Object object)

  Compares the given object with this receiver. Two context informations are equal if there information display strings and their context display strings are equal.

  Note: As specified in `Object.equals(Object)` clients will most likely also have to implement `Object.hashCode()`.

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(Object)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.